## imageindex 1.0.7

=== Makefile ===
######################################################################
# $Id: Makefile.dist,v 1.3 2003/03/31 03:01:24 edwinh Exp $
# $Name: v1_0_7 $
######################################################################

# Where the script binary should go
PREFIX ?= /usr/local

# Where perl lives
PERLPATH = /usr/bin/perl

######################################################################

all: sed

install: all
	install -m 0755 imageindex.sed $(PREFIX)/bin/imageindex
	install -m 0755 autocaption.sed $(PREFIX)/bin/autocaption
	install -m 0644 imageindex.1 $(PREFIX)/share/man/man1/imageindex.1

sed:
	sed -e 's%/usr/bin/perl%$(PERLPATH)%g' imageindex > imageindex.sed
	sed -e 's%/usr/bin/perl%$(PERLPATH)%g' autocaption > autocaption.sed

clean:
	rm -f imageindex.sed
	rm -f autocaption.sed

## imageindex 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ######################################################################
 # $Id: Makefile.dist,v 1.3 2003/03/31 03:01:24 edwinh Exp $
-# $Name: v1_0_7 $
+# $Name: v1_0_8 $
 ######################################################################
 
 # Where the script binary should go

## imageindex 1.0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ######################################################################
 # $Id: Makefile.dist,v 1.3 2003/03/31 03:01:24 edwinh Exp $
-# $Name: v1_0_8 $
+# $Name: v1_0_9 $
 ######################################################################
 
 # Where the script binary should go

## imageindex 1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ######################################################################
 # $Id: Makefile.dist,v 1.3 2003/03/31 03:01:24 edwinh Exp $
-# $Name: v1_0_9 $
+# $Name: v1_1 $
 ######################################################################
 
 # Where the script binary should go

=== debian/changelog ===
imageindex (1.1-4) unstable; urgency=medium

  * Point Vcs fields to Salsa
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 08:46:00 +0100

imageindex (1.1-3) unstable; urgency=medium

  * Adapt to perl 5.22
    Closes: #815686
  * Moved to pkg-phototools maintenance
  * cme fix dpkg-control
  * Depends: libimage-magick-perl (instead of transitional package perlmagick)
    Closes: #789231
  * debhelper 9
  * polish d/rules
  * wrote watch file
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2016 18:53:54 +0200

imageindex (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on libperl4-corelibs-perl (Closes: #659424)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Apr 2012 16:55:33 +0100

imageindex (1.1-2) unstable; urgency=low

  * 4 Years after last upload, re-package with new V3 base and use quilt.
  * Add Patch for correct processing of image files with multiple
    dots (Closes: #492934)
  * Add Patch for fixing HTML SCRIPT Tag (Closes: #474112)
  * Add patch for making default charset configurable (Closes: #322552)

 -- Michael Ablassmeier <abi@debian.org>  Sat, 29 Oct 2011 22:20:06 +0200

imageindex (1.1-1) unstable; urgency=low

  * New upstream release
  * Add suggest on mplayer, imageindex can now deal with
    video files aswell, add note to Description
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 05 Apr 2007 09:56:06 +0200

imageindex (1.0.9-2) unstable; urgency=low

  * Move debhelper/cdbs from B-D-I to B-D (Policy 7.6)
  * New Maintainer E-Mail.

 -- Michael Ablassmeier <abi@debian.org>  Mon, 24 Apr 2006 16:15:31 +0200

imageindex (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright (FSF address)

 -- Michael Ablassmeier <abi@grinser.de>  Tue, 20 Sep 2005 11:02:05 +0200

imageindex (1.0.8-1) unstable; urgency=low

  * New upstream release
  * Bump up standards version.
  * Depend on at least imagemagick 6:6.2.3.0-2 (otherwise montage
    generation fails due to changed options (-borderwith -> -border))

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  5 Jul 2005 22:46:22 +0200

imageindex (1.0.7-2) unstable; urgency=medium

  * Install tools into their proper place (Closes: #283422)

 -- Michael Ablassmeier <abi@grinser.de>  Mon, 29 Nov 2004 19:07:15 +0100

imageindex (1.0.7-1) unstable; urgency=low

  * Initial Release. (Closes: #274215)

 -- Michael Ablassmeier <abi@grinser.de>  Thu, 30 Sep 2004 13:03:56 +0200

=== debian/control ===
Source: imageindex
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael Ablassmeier <abi@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 12~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imageindex
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imageindex.git
Homepage: http://www.edwinh.org/imageindex/

Package: imageindex
Architecture: all
Depends: ${misc:Depends},
         libimage-magick-perl,
         imagemagick,
         libimage-info-perl,
         libperl4-corelibs-perl
Suggests: mplayer
Description: generate static HTML galleries from images
 Imageindex generates standards-compliant static HTML galleries of images
 (usually JPG photos, but can deal with images of just about any format).
 Some features:
 .
    * Only out-of-date thumbnail/medium images are generated
    * Captions come from comments embedded in images (never get lost!)
    * Output is customizable with CSS stylesheets
    * Can fetch EXIF header data from digicam photos
    * Can optionally recurse directory trees
    * Index, detail, slide, and frame views
    * Can use mplayer for dealing with video files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/imageindex/usr/share/man/man1
	mkdir -p debian/imageindex/usr/bin
	pod2man imageindex.pod > imageindex.1
	$(MAKE) install PREFIX=$(CURDIR)/debian/imageindex/usr
	mkdir -p debian/imageindex/usr/share/doc/imageindex/tools
	mv debian/imageindex/usr/bin/autocaption debian/imageindex/usr/share/doc/imageindex/tools

=== debian/watch ===
version=3

http://www.edwinh.org/imageindex/ release/imageindex-(\d[\d.]+)\.tar\.gz
